﻿using System.ComponentModel.DataAnnotations;

namespace FlowerShopDatabaseImplement.Models
{
    public class BouquetComponent
    {
        public int Id { get; set; }

        [Required]
        public int BouquetId { get; set; }

        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Component Component { get; set; } = new();

        public virtual Bouquet Bouquet { get; set; } = new();
    }
}
