﻿using System.ComponentModel.DataAnnotations;

namespace FlowerShopDatabaseImplement.Models
{
    public class ShopBouquet
    {
        public int Id { get; set; }

        [Required]
        public int BouquetId { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();

        public virtual Bouquet Bouquet { get; set; } = new();
    }
}
